---
title: Observability Pipelines
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Observability Pipelines
---

# Observability Pipelines

Observability Pipelines allows you to collect and process logs within your own infrastructure, and then route them to downstream integrations.

## List pipelines{% #list-pipelines %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                     |
| ----------------- | ---------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/obs-pipelines/pipelines |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/obs-pipelines/pipelines |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/obs-pipelines/pipelines      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/obs-pipelines/pipelines      |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/obs-pipelines/pipelines     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/obs-pipelines/pipelines |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/obs-pipelines/pipelines |

### Overview

Retrieve a list of pipelines. This endpoint requires the `observability_pipelines_read` permission.

### Arguments

#### Query Strings

| Name         | Type    | Description                                              |
| ------------ | ------- | -------------------------------------------------------- |
| page[size]   | integer | Size for a given page. The maximum allowed value is 100. |
| page[number] | integer | Specific page number to return.                          |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Represents the response payload containing a list of pipelines and associated metadata.

| Parent field         | Field                                | Type            | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| -------------------- | ------------------------------------ | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                      | data [*required*]               | [object]        | The `schema` `data`.                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| data                 | attributes [*required*]         | object          | Defines the pipeline's name and its components (sources, processors, and destinations).                                                                                                                                                                                                                                                                                                                                                                                         |
| attributes           | config [*required*]             | object          | Specifies the pipeline's configuration, including its sources, processors, and destinations.                                                                                                                                                                                                                                                                                                                                                                                    |
| config               | destinations [*required*]       | [ <oneOf>] | A list of destination components where processed logs are sent.                                                                                                                                                                                                                                                                                                                                                                                                                 |
| destinations         | Option 1                             | object          | The `http_client` destination sends data to an HTTP endpoint.                                                                                                                                                                                                                                                                                                                                                                                                                   | **Supported pipeline types:** logs, metrics                                              |
| Option 1             | auth_strategy                        | enum            | HTTP authentication strategy. Allowed enum values: `none,basic,bearer`                                                                                                                                                                                                                                                                                                                                                                                                          |
| Option 1             | compression                          | object          | Compression configuration for HTTP requests.                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| compression          | algorithm [*required*]          | enum            | Compression algorithm. Allowed enum values: `gzip`                                                                                                                                                                                                                                                                                                                                                                                                                              |
| Option 1             | custom_key                           | string          | Name of the environment variable or secret that holds a custom header value (used with custom auth strategies).                                                                                                                                                                                                                                                                                                                                                                 |
| Option 1             | encoding [*required*]           | enum            | Encoding format for log events. Allowed enum values: `json`                                                                                                                                                                                                                                                                                                                                                                                                                     |
| Option 1             | id [*required*]                 | string          | The unique identifier for this component.                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| Option 1             | inputs [*required*]             | [string]        | A list of component IDs whose output is used as the input for this component.                                                                                                                                                                                                                                                                                                                                                                                                   |
| Option 1             | password_key                         | string          | Name of the environment variable or secret that holds the password (used when `auth_strategy` is `basic`).                                                                                                                                                                                                                                                                                                                                                                      |
| Option 1             | tls                                  | object          | Configuration for enabling TLS encryption between the pipeline component and external services.                                                                                                                                                                                                                                                                                                                                                                                 |
| tls                  | ca_file                              | string          | Path to the Certificate Authority (CA) file used to validate the server's TLS certificate.                                                                                                                                                                                                                                                                                                                                                                                      |
| tls                  | crt_file [*required*]           | string          | Path to the TLS client certificate file used to authenticate the pipeline component with upstream or downstream services.                                                                                                                                                                                                                                                                                                                                                       |
| tls                  | key_file                             | string          | Path to the private key file associated with the TLS client certificate. Used for mutual TLS authentication.                                                                                                                                                                                                                                                                                                                                                                    |
| tls                  | key_pass_key                         | string          | Name of the environment variable or secret that holds the passphrase for the private key file.                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 1             | token_key                            | string          | Name of the environment variable or secret that holds the bearer token (used when `auth_strategy` is `bearer`).                                                                                                                                                                                                                                                                                                                                                                 |
| Option 1             | type [*required*]               | enum            | The destination type. The value should always be `http_client`. Allowed enum values: `http_client`                                                                                                                                                                                                                                                                                                                                                                              |
| Option 1             | uri_key                              | string          | Name of the environment variable or secret that holds the HTTP endpoint URI.                                                                                                                                                                                                                                                                                                                                                                                                    |
| Option 1             | username_key                         | string          | Name of the environment variable or secret that holds the username (used when `auth_strategy` is `basic`).                                                                                                                                                                                                                                                                                                                                                                      |
| destinations         | Option 2                             | object          | The `amazon_opensearch` destination writes logs to Amazon OpenSearch.                                                                                                                                                                                                                                                                                                                                                                                                           | **Supported pipeline types:** logs                                                       |
| Option 2             | auth [*required*]               | object          | Authentication settings for the Amazon OpenSearch destination. The `strategy` field determines whether basic or AWS-based authentication is used.                                                                                                                                                                                                                                                                                                                               |
| auth                 | assume_role                          | string          | The ARN of the role to assume (used with `aws` strategy).                                                                                                                                                                                                                                                                                                                                                                                                                       |
| auth                 | aws_region                           | string          | AWS region                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| auth                 | external_id                          | string          | External ID for the assumed role (used with `aws` strategy).                                                                                                                                                                                                                                                                                                                                                                                                                    |
| auth                 | session_name                         | string          | Session name for the assumed role (used with `aws` strategy).                                                                                                                                                                                                                                                                                                                                                                                                                   |
| auth                 | strategy [*required*]           | enum            | The authentication strategy to use. Allowed enum values: `basic,aws`                                                                                                                                                                                                                                                                                                                                                                                                            |
| Option 2             | buffer                               |  <oneOf>   | Configuration for buffer settings on destination components.                                                                                                                                                                                                                                                                                                                                                                                                                    |
| buffer               | Option 1                             | object          | Options for configuring a disk buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| Option 1             | max_size [*required*]           | int64           | Maximum size of the disk buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 1             | type                                 | enum            | The type of the buffer that will be configured, a disk buffer. Allowed enum values: `disk`                                                                                                                                                                                                                                                                                                                                                                                      |
| Option 1             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| buffer               | Option 2                             | object          | Options for configuring a memory buffer by byte size.                                                                                                                                                                                                                                                                                                                                                                                                                           |
| Option 2             | max_size [*required*]           | int64           | Maximum size of the memory buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| Option 2             | type                                 | enum            | The type of the buffer that will be configured, a memory buffer. Allowed enum values: `memory`                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 2             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| buffer               | Option 3                             | object          | Options for configuring a memory buffer by queue length.                                                                                                                                                                                                                                                                                                                                                                                                                        |
| Option 3             | max_events [*required*]         | int64           | Maximum events for the memory buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| Option 3             | type                                 | enum            | The type of the buffer that will be configured, a memory buffer. Allowed enum values: `memory`                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 3             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| Option 2             | bulk_index                           | string          | The index to write logs to.                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| Option 2             | id [*required*]                 | string          | The unique identifier for this component.                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| Option 2             | inputs [*required*]             | [string]        | A list of component IDs whose output is used as the `input` for this component.                                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 2             | type [*required*]               | enum            | The destination type. The value should always be `amazon_opensearch`. Allowed enum values: `amazon_opensearch`                                                                                                                                                                                                                                                                                                                                                                  |
| destinations         | Option 3                             | object          | The `amazon_s3` destination sends your logs in Datadog-rehydratable format to an Amazon S3 bucket for archiving.                                                                                                                                                                                                                                                                                                                                                                | **Supported pipeline types:** logs                                                       |
| Option 3             | auth                                 | object          | AWS authentication credentials used for accessing AWS services such as S3. If omitted, the system's default credentials are used (for example, the IAM role and environment variables).                                                                                                                                                                                                                                                                                         |
| auth                 | assume_role                          | string          | The Amazon Resource Name (ARN) of the role to assume.                                                                                                                                                                                                                                                                                                                                                                                                                           |
| auth                 | external_id                          | string          | A unique identifier for cross-account role assumption.                                                                                                                                                                                                                                                                                                                                                                                                                          |
| auth                 | session_name                         | string          | A session identifier used for logging and tracing the assumed role session.                                                                                                                                                                                                                                                                                                                                                                                                     |
| Option 3             | bucket [*required*]             | string          | S3 bucket name.                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 3             | buffer                               |  <oneOf>   | Configuration for buffer settings on destination components.                                                                                                                                                                                                                                                                                                                                                                                                                    |
| buffer               | Option 1                             | object          | Options for configuring a disk buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| Option 1             | max_size [*required*]           | int64           | Maximum size of the disk buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 1             | type                                 | enum            | The type of the buffer that will be configured, a disk buffer. Allowed enum values: `disk`                                                                                                                                                                                                                                                                                                                                                                                      |
| Option 1             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| buffer               | Option 2                             | object          | Options for configuring a memory buffer by byte size.                                                                                                                                                                                                                                                                                                                                                                                                                           |
| Option 2             | max_size [*required*]           | int64           | Maximum size of the memory buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| Option 2             | type                                 | enum            | The type of the buffer that will be configured, a memory buffer. Allowed enum values: `memory`                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 2             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| buffer               | Option 3                             | object          | Options for configuring a memory buffer by queue length.                                                                                                                                                                                                                                                                                                                                                                                                                        |
| Option 3             | max_events [*required*]         | int64           | Maximum events for the memory buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| Option 3             | type                                 | enum            | The type of the buffer that will be configured, a memory buffer. Allowed enum values: `memory`                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 3             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| Option 3             | id [*required*]                 | string          | Unique identifier for the destination component.                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 3             | inputs [*required*]             | [string]        | A list of component IDs whose output is used as the `input` for this component.                                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 3             | key_prefix                           | string          | Optional prefix for object keys.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 3             | region [*required*]             | string          | AWS region of the S3 bucket.                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| Option 3             | storage_class [*required*]      | enum            | S3 storage class. Allowed enum values: `STANDARD,REDUCED_REDUNDANCY,INTELLIGENT_TIERING,STANDARD_IA,EXPRESS_ONEZONE,ONEZONE_IA,GLACIER,GLACIER_IR,DEEP_ARCHIVE`                                                                                                                                                                                                                                                                                                                 |
| Option 3             | tls                                  | object          | Configuration for enabling TLS encryption between the pipeline component and external services.                                                                                                                                                                                                                                                                                                                                                                                 |
| tls                  | ca_file                              | string          | Path to the Certificate Authority (CA) file used to validate the server's TLS certificate.                                                                                                                                                                                                                                                                                                                                                                                      |
| tls                  | crt_file [*required*]           | string          | Path to the TLS client certificate file used to authenticate the pipeline component with upstream or downstream services.                                                                                                                                                                                                                                                                                                                                                       |
| tls                  | key_file                             | string          | Path to the private key file associated with the TLS client certificate. Used for mutual TLS authentication.                                                                                                                                                                                                                                                                                                                                                                    |
| tls                  | key_pass_key                         | string          | Name of the environment variable or secret that holds the passphrase for the private key file.                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 3             | type [*required*]               | enum            | The destination type. Always `amazon_s3`. Allowed enum values: `amazon_s3`                                                                                                                                                                                                                                                                                                                                                                                                      |
| destinations         | Option 4                             | object          | The `amazon_s3_generic` destination sends your logs to an Amazon S3 bucket.                                                                                                                                                                                                                                                                                                                                                                                                     | **Supported pipeline types:** logs                                                       |
| Option 4             | auth                                 | object          | AWS authentication credentials used for accessing AWS services such as S3. If omitted, the system's default credentials are used (for example, the IAM role and environment variables).                                                                                                                                                                                                                                                                                         |
| auth                 | assume_role                          | string          | The Amazon Resource Name (ARN) of the role to assume.                                                                                                                                                                                                                                                                                                                                                                                                                           |
| auth                 | external_id                          | string          | A unique identifier for cross-account role assumption.                                                                                                                                                                                                                                                                                                                                                                                                                          |
| auth                 | session_name                         | string          | A session identifier used for logging and tracing the assumed role session.                                                                                                                                                                                                                                                                                                                                                                                                     |
| Option 4             | batch_settings                       | object          | Event batching settings                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| batch_settings       | batch_size                           | int64           | Maximum batch size in bytes.                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| batch_settings       | timeout_secs                         | int64           | Maximum number of seconds to wait before flushing the batch.                                                                                                                                                                                                                                                                                                                                                                                                                    |
| Option 4             | bucket [*required*]             | string          | S3 bucket name.                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 4             | compression [*required*]        |  <oneOf>   | Compression algorithm applied to encoded logs.                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| compression          | Option 1                             | object          | Zstd compression.                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| Option 1             | algorithm [*required*]          | enum            | The compression type. Always `zstd`. Allowed enum values: `zstd`                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 1             | level [*required*]              | int64           | Zstd compression level.                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| compression          | Option 2                             | object          | Gzip compression.                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| Option 2             | algorithm [*required*]          | enum            | The compression type. Always `gzip`. Allowed enum values: `gzip`                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 2             | level [*required*]              | int64           | Gzip compression level.                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| compression          | Option 3                             | object          | Snappy compression.                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| Option 3             | algorithm [*required*]          | enum            | The compression type. Always `snappy`. Allowed enum values: `snappy`                                                                                                                                                                                                                                                                                                                                                                                                            |
| Option 4             | encoding [*required*]           |  <oneOf>   | Encoding format for the destination.                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| encoding             | Option 1                             | object          | JSON encoding.                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 1             | type [*required*]               | enum            | The encoding type. Always `json`. Allowed enum values: `json`                                                                                                                                                                                                                                                                                                                                                                                                                   |
| encoding             | Option 2                             | object          | Parquet encoding.                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| Option 2             | type [*required*]               | enum            | The encoding type. Always `parquet`. Allowed enum values: `parquet`                                                                                                                                                                                                                                                                                                                                                                                                             |
| Option 4             | id [*required*]                 | string          | Unique identifier for the destination component.                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 4             | inputs [*required*]             | [string]        | A list of component IDs whose output is used as the `input` for this component.                                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 4             | key_prefix                           | string          | Optional prefix for object keys.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 4             | region [*required*]             | string          | AWS region of the S3 bucket.                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| Option 4             | storage_class [*required*]      | enum            | S3 storage class. Allowed enum values: `STANDARD,REDUCED_REDUNDANCY,INTELLIGENT_TIERING,STANDARD_IA,EXPRESS_ONEZONE,ONEZONE_IA,GLACIER,GLACIER_IR,DEEP_ARCHIVE`                                                                                                                                                                                                                                                                                                                 |
| Option 4             | type [*required*]               | enum            | The destination type. Always `amazon_s3_generic`. Allowed enum values: `amazon_s3_generic`                                                                                                                                                                                                                                                                                                                                                                                      |
| destinations         | Option 5                             | object          | The `amazon_security_lake` destination sends your logs to Amazon Security Lake.                                                                                                                                                                                                                                                                                                                                                                                                 | **Supported pipeline types:** logs                                                       |
| Option 5             | auth                                 | object          | AWS authentication credentials used for accessing AWS services such as S3. If omitted, the system's default credentials are used (for example, the IAM role and environment variables).                                                                                                                                                                                                                                                                                         |
| auth                 | assume_role                          | string          | The Amazon Resource Name (ARN) of the role to assume.                                                                                                                                                                                                                                                                                                                                                                                                                           |
| auth                 | external_id                          | string          | A unique identifier for cross-account role assumption.                                                                                                                                                                                                                                                                                                                                                                                                                          |
| auth                 | session_name                         | string          | A session identifier used for logging and tracing the assumed role session.                                                                                                                                                                                                                                                                                                                                                                                                     |
| Option 5             | bucket [*required*]             | string          | Name of the Amazon S3 bucket in Security Lake (3-63 characters).                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 5             | buffer                               |  <oneOf>   | Configuration for buffer settings on destination components.                                                                                                                                                                                                                                                                                                                                                                                                                    |
| buffer               | Option 1                             | object          | Options for configuring a disk buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| Option 1             | max_size [*required*]           | int64           | Maximum size of the disk buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 1             | type                                 | enum            | The type of the buffer that will be configured, a disk buffer. Allowed enum values: `disk`                                                                                                                                                                                                                                                                                                                                                                                      |
| Option 1             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| buffer               | Option 2                             | object          | Options for configuring a memory buffer by byte size.                                                                                                                                                                                                                                                                                                                                                                                                                           |
| Option 2             | max_size [*required*]           | int64           | Maximum size of the memory buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| Option 2             | type                                 | enum            | The type of the buffer that will be configured, a memory buffer. Allowed enum values: `memory`                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 2             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| buffer               | Option 3                             | object          | Options for configuring a memory buffer by queue length.                                                                                                                                                                                                                                                                                                                                                                                                                        |
| Option 3             | max_events [*required*]         | int64           | Maximum events for the memory buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| Option 3             | type                                 | enum            | The type of the buffer that will be configured, a memory buffer. Allowed enum values: `memory`                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 3             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| Option 5             | custom_source_name [*required*] | string          | Custom source name for the logs in Security Lake.                                                                                                                                                                                                                                                                                                                                                                                                                               |
| Option 5             | id [*required*]                 | string          | Unique identifier for the destination component.                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 5             | inputs [*required*]             | [string]        | A list of component IDs whose output is used as the `input` for this component.                                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 5             | region [*required*]             | string          | AWS region of the S3 bucket.                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| Option 5             | tls                                  | object          | Configuration for enabling TLS encryption between the pipeline component and external services.                                                                                                                                                                                                                                                                                                                                                                                 |
| tls                  | ca_file                              | string          | Path to the Certificate Authority (CA) file used to validate the server's TLS certificate.                                                                                                                                                                                                                                                                                                                                                                                      |
| tls                  | crt_file [*required*]           | string          | Path to the TLS client certificate file used to authenticate the pipeline component with upstream or downstream services.                                                                                                                                                                                                                                                                                                                                                       |
| tls                  | key_file                             | string          | Path to the private key file associated with the TLS client certificate. Used for mutual TLS authentication.                                                                                                                                                                                                                                                                                                                                                                    |
| tls                  | key_pass_key                         | string          | Name of the environment variable or secret that holds the passphrase for the private key file.                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 5             | type [*required*]               | enum            | The destination type. Always `amazon_security_lake`. Allowed enum values: `amazon_security_lake`                                                                                                                                                                                                                                                                                                                                                                                |
| destinations         | Option 6                             | object          | The `azure_storage` destination forwards logs to an Azure Blob Storage container.                                                                                                                                                                                                                                                                                                                                                                                               | **Supported pipeline types:** logs                                                       |
| Option 6             | blob_prefix                          | string          | Optional prefix for blobs written to the container.                                                                                                                                                                                                                                                                                                                                                                                                                             |
| Option 6             | buffer                               |  <oneOf>   | Configuration for buffer settings on destination components.                                                                                                                                                                                                                                                                                                                                                                                                                    |
| buffer               | Option 1                             | object          | Options for configuring a disk buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| Option 1             | max_size [*required*]           | int64           | Maximum size of the disk buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 1             | type                                 | enum            | The type of the buffer that will be configured, a disk buffer. Allowed enum values: `disk`                                                                                                                                                                                                                                                                                                                                                                                      |
| Option 1             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| buffer               | Option 2                             | object          | Options for configuring a memory buffer by byte size.                                                                                                                                                                                                                                                                                                                                                                                                                           |
| Option 2             | max_size [*required*]           | int64           | Maximum size of the memory buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| Option 2             | type                                 | enum            | The type of the buffer that will be configured, a memory buffer. Allowed enum values: `memory`                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 2             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| buffer               | Option 3                             | object          | Options for configuring a memory buffer by queue length.                                                                                                                                                                                                                                                                                                                                                                                                                        |
| Option 3             | max_events [*required*]         | int64           | Maximum events for the memory buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| Option 3             | type                                 | enum            | The type of the buffer that will be configured, a memory buffer. Allowed enum values: `memory`                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 3             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| Option 6             | connection_string_key                | string          | Name of the environment variable or secret that holds the Azure Storage connection string.                                                                                                                                                                                                                                                                                                                                                                                      |
| Option 6             | container_name [*required*]     | string          | The name of the Azure Blob Storage container to store logs in.                                                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 6             | id [*required*]                 | string          | The unique identifier for this component.                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| Option 6             | inputs [*required*]             | [string]        | A list of component IDs whose output is used as the `input` for this component.                                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 6             | type [*required*]               | enum            | The destination type. The value should always be `azure_storage`. Allowed enum values: `azure_storage`                                                                                                                                                                                                                                                                                                                                                                          |
| destinations         | Option 7                             | object          | The `cloud_prem` destination sends logs to Datadog CloudPrem.                                                                                                                                                                                                                                                                                                                                                                                                                   | **Supported pipeline types:** logs                                                       |
| Option 7             | endpoint_url_key                     | string          | Name of the environment variable or secret that holds the CloudPrem endpoint URL.                                                                                                                                                                                                                                                                                                                                                                                               |
| Option 7             | id [*required*]                 | string          | The unique identifier for this component.                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| Option 7             | inputs [*required*]             | [string]        | A list of component IDs whose output is used as the `input` for this component.                                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 7             | type [*required*]               | enum            | The destination type. The value should always be `cloud_prem`. Allowed enum values: `cloud_prem`                                                                                                                                                                                                                                                                                                                                                                                |
| destinations         | Option 8                             | object          | The `crowdstrike_next_gen_siem` destination forwards logs to CrowdStrike Next Gen SIEM.                                                                                                                                                                                                                                                                                                                                                                                         | **Supported pipeline types:** logs                                                       |
| Option 8             | buffer                               |  <oneOf>   | Configuration for buffer settings on destination components.                                                                                                                                                                                                                                                                                                                                                                                                                    |
| buffer               | Option 1                             | object          | Options for configuring a disk buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| Option 1             | max_size [*required*]           | int64           | Maximum size of the disk buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Option 1             | type                                 | enum            | The type of the buffer that will be configured, a disk buffer. Allowed enum values: `disk`                                                                                                                                                                                                                                                                                                                                                                                      |
| Option 1             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| buffer               | Option 2                             | object          | Options for configuring a memory buffer by byte size.                                                                                                                                                                                                                                                                                                                                                                                                                           |
| Option 2             | max_size [*required*]           | int64           | Maximum size of the memory buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| Option 2             | type                                 | enum            | The type of the buffer that will be configured, a memory buffer. Allowed enum values: `memory`                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 2             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| buffer               | Option 3                             | object          | Options for configuring a memory buffer by queue length.                                                                                                                                                                                                                                                                                                                                                                                                                        |
| Option 3             | max_events [*required*]         | int64           | Maximum events for the memory buffer.                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| Option 3             | type                                 | enum            | The type of the buffer that will be configured, a memory buffer. Allowed enum values: `memory`                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 3             | when_full                            | enum            | Behavior when the buffer is full (block and stop accepting new events, or drop new events) Allowed enum values: `block,drop_newest`                                                                                                                                                                                                                                                                                                                                             |
| Option 8             | compression                          | object          | Compression configuration for log events.                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| compression          | algorithm [*required*]          | enum            | Compression algorithm for log events. Allowed enum values: `gzip,zlib`                                                                                                                                                                                                                                                                                                                                                                                                          |
| compression          | level                                | int64           | Compression level.                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
[...]
